﻿using System;
using System.Windows.Forms;
using System.ComponentModel;

using System.IO;
using System.Net;
using System.Net.Mail;
using System.Configuration;

namespace Send_Email_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            string host = ConfigurationManager.AppSettings["Host"];
            int port = Convert.ToInt32(ConfigurationManager.AppSettings["port"]);
            bool enableSsl = Convert.ToBoolean(ConfigurationManager.AppSettings["EnableSsl"]);
            bool defaultCredentials = Convert.ToBoolean(ConfigurationManager.AppSettings["DefaultCredentials"]);

            using (MailMessage mm = new MailMessage(txtEmail.Text, txtTo.Text))
            {
                mm.Subject = txtSubject.Text;
                mm.Body = txtBody.Text;
                if (!string.IsNullOrEmpty(openFileDialog1.FileName))
                {
                    mm.Attachments.Add(new Attachment(openFileDialog1.FileName));
                }
                mm.IsBodyHtml = false;
                using (SmtpClient smtp = new SmtpClient())
                {
                    smtp.Host = host;
                    smtp.EnableSsl = enableSsl;
                    NetworkCredential networkCred = new NetworkCredential(txtEmail.Text, txtPassword.Text);
                    smtp.UseDefaultCredentials = defaultCredentials;
                    smtp.Credentials = networkCred;
                    smtp.Port = port;
                    smtp.Send(mm);
                    MessageBox.Show("Email sent.", "Message");
                }
            }
        }

        private void lnkAttachment_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            openFileDialog1.ShowDialog();
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            string filePath = openFileDialog1.FileName;
            if (File.Exists(filePath))
            {
                string fileName = Path.GetFileName(filePath);
                lblAttachment.Text = fileName;
            }
        }
    }
}
